import { StorageAttributes } from './interfaces/attributes.interface';
import { StorageStrategy } from './interfaces/strategy.interface';
export declare class Storage implements StorageStrategy {
    private readonly _strategies;
    private readonly _current;
    constructor();
    readonly local: StorageStrategy;
    readonly cookie: StorageStrategy;
    readonly session: StorageStrategy;
    readonly memory: StorageStrategy;
    get<T = any>(token: string): T;
    set<T = any>(token: string, value: T, attributes?: StorageAttributes): void;
    remove(token: string, attributes?: StorageAttributes): void;
    clear(attributes?: StorageAttributes): void;
    isSupported(): boolean;
    private findBestStorageStrategy;
}
